Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.msml
Class MSMLWriter

    java.lang.Object
      de.grogra.pf.io.FilterBase
          de.grogra.imp3d.msml.MSMLWriter

All Implemented Interfaces:
  DOMSource, Filter, FilterSource, RegistryContext, Map

    public class MSMLWriter

extends FilterBase
implements DOMSource

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.pf.io.FilterSource
`FilterSource.MetaDataKey<V>`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static CoordTransformer` | `COORD`
`static IOFlavor` | `FLAVOR`
`java.util.HashMap` | `librarymaterials`
`static java.lang.String` | `msmlSchemaLocation`
`static java.lang.String` | `namespaceURI`
`static java.lang.String` | `qualifiedName`
`static java.lang.String` | `schemaSource`

Fields inherited from class de.grogra.pf.io.FilterBase
`item, source`

Fields inherited from interface de.grogra.pf.io.FilterSource
`AUTO_PROGRESS, DESTINATION_FILE, DESTINATION_URL`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`MSMLWriter(FilterItem item, FilterSource source)`

Method Summary
`org.w3c.dom.Document` | `getDocument()` Returns the data as a DOM document.
`java.util.HashMap` | `getLibraryMaterials()`

Methods inherited from class de.grogra.pf.io.FilterBase
`get, getFilter, getFlavor, getImpl, getMetaData, getRegistry, getSource, getSystemId, initProgressMonitor, setFlavor, setMetaData, setMetaData, setProgress, setSystemId, toString, toURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.pf.io.FilterSource
`getFilter, getFlavor, getMetaData, getSystemId, initProgressMonitor, setMetaData, setProgress`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Field Detail

### COORD

    public static final CoordTransformer COORD

### FLAVOR

    public static final IOFlavor FLAVOR

### librarymaterials

    public java.util.HashMap librarymaterials

### msmlSchemaLocation

    public static final java.lang.String msmlSchemaLocation

See Also:
  Constant Field Values

### namespaceURI

    public static final java.lang.String namespaceURI

See Also:
  Constant Field Values

### qualifiedName

    public static final java.lang.String qualifiedName

See Also:
  Constant Field Values

### schemaSource

    public static final java.lang.String schemaSource

See Also:
  Constant Field Values

Constructor Detail

### MSMLWriter

    public MSMLWriter(FilterItem item,
                      FilterSource source)

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument()
                                     throws java.io.IOException,
                                            org.w3c.dom.DOMException

  Description copied from interface: `DOMSource`
  Returns the data as a DOM document.

  Specified by:
    `getDocument` in interface `DOMSource`
  Returns:
    the data
  Throws:
    `java.io.IOException`
    `org.w3c.dom.DOMException`

### getLibraryMaterials

    public java.util.HashMap getLibraryMaterials()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD